import java.util.*;
import java.awt.Color;

// Represents a graph (a collection of points) that can be displayed to a user
public interface Graph {
    // Adds a graphable element to this graph
    public void add(Graphable g);

    // Returns the color of the provided graphable element, null if it's not present
    public Color getColor(Graphable g);

    // Returns all graphable elements within this graph
    public Set<Graphable> getElements();

    // Returns all the points for this graph
    public List<Point> getPoints();

    // Saves this graph to the provided a file with the provided name
    public void save(String fileName);
}
